Run `npm create quasar@latest` in this folder. As the project folder use `.` to put it in this directory.
Use a suitable name, pick TypeScript, Quasar App CLI with Vite 5 (BETA). Stick to the default for other questions.